
/*################################################################################################
 *##################                                                            ##################
 *##################                   Built-in Functions                       ##################
 *##################                                                            ##################
 *##################                      Header  file                          ##################
 *##################                                                            ##################
 *################################################################################################
 */


/*
 * XCLstd: standard built-ins implementation for the XCLE library
 *
 * Copyright (C) 2000 Yann LANDRIN-SCHWEITZER
 *
 *
 * This library is free software;  you can redistribute it and/or modify it
 * under  the terms of the  GNU Lesser General Public License  as published
 * by the  Free Software Foundation;  either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This  library  is  distributed  in  the hope that it will be useful, but
 * WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library;  if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 *
 * Author:   Yann LANDRIN-SCHWEITZER
 * Contact:  varkhan@free.fr
 * Homepage: http://varkhan.free.fr/
 */



#ifndef _XCLSTD_INSTSET_
#define _XCLSTD_INSTSET_

#include <XCLE/Containers.h>

#include <XCLE/Obj_generic.h>
#include <XCLE/Obj_void.h>
#include <XCLE/Obj_intg.h>
#include <XCLE/Obj_fltp.h>
#include <XCLE/Obj_strg.h>
#include <XCLE/Obj_list.h>
#include <XCLE/Obj_code.h>

#include <XCLE/Mod_exec.h>
#include <XCLE/Mod_fileIO.h>
#include <XCLE/Mod_parse.h>


#define STK_HDR ".= STACK ======================================================================.\n"
#define STK_FMT "| %05n : %68s |\n"
#define STK_TLR "*==============================================================================*\n"


//////////////////////////////////////////////////////////////////////////////////////////////////
/////
/////  Instructions and errors tables
/////


extern const unsigned long XCL_Registry_Vers ;

extern const unsigned long XCL_Registry_Size ;

extern XCLE_CodeDef XCL_Registry_Table[] ;


#endif // _XCLSTD_INSTSET_

