// ## Static XCLE_Bltn Definition
// DEFINE dupN
// INTERN dupN


XCLE_Primitive(_CodeCall_dupN) ;


static const XCLE_CodeDef _CodeData_dupN = 
	{
		"dupN",
		1, { 1    },
		~0,{ ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0, ~0},
		(const XCLE_CodeOperator) _CodeCall_dupN,
		"Duplicates the N first objects on stack in order"
	} ;


XCLE_Primitive(_CodeCall_dupN) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long i = 0 ;
	unsigned long j ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		i = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
		break ;
	case XCLE_OT_FLTP:
		i = (long)XCLE_FltpValue((XCLE_Fltp)obj1) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if((i>=0)&&(i<=XCLE_StackDepth(GETSTACK()))) {
		j = i ;
		while(j>0) {
			obj2 = XCLE_StackGet(GETSTACK(),i) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			XCLE_StackPush(GETSTACK(),obj2) ;
			j -- ;
		}
	}
	else {
		SETSTATUSNUM(INVARGVAL) ;
		/* return ; */
	}
	STATUSOK() ;
	/* return ; */
}


