// ## Static XCLE_Bltn Definition
// DEFINE error
// INTERN error


XCLE_Primitive(_CodeCall_error) ;


static const XCLE_CodeDef _CodeData_error = 
	{
		"error",
		2, { 1, 4 },
		0, { ~0   },
		(const XCLE_CodeOperator) _CodeCall_error,
		"Aborts with specified error"
	} ;


XCLE_Primitive(_CodeCall_error) {
	XCLE_Exception stat ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long num = ERR_RUNTIME ;
	static char msg[256] ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_STRG:
			num = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
			XCLE_StrgValue((XCLE_Strg)obj2,msg,255) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	stat = XCLE_ExceptionNew(num,msg) ;
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	printf("Died! < %lu - %s >\n",num,msg) ;
	SETSTATUS(stat) ;
	/* return ; */
}


