// ## Static XCLE_Bltn Definition
// DEFINE lstget
// INTERN lstget


XCLE_Primitive(_CodeCall_lstget) ;


static const XCLE_CodeDef _CodeData_lstget = 
	{
		"lstget",
		2, { 1, 8 },
		1, { ~0   },
		(const XCLE_CodeOperator) _CodeCall_lstget,
		"Gets an object by its position in a list"
	} ;


XCLE_Primitive(_CodeCall_lstget) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	XCLE_List lst ;
	unsigned long i = 0 ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			i = (long)XCLE_IntgValue((XCLE_Intg)obj1) ;
			lst = (XCLE_List)obj2 ;
			if(i<0) {
				XCLE_ObjectFree(obj1) ;
				XCLE_ObjectFree(obj2) ;
				SETSTATUSNUM(INVARGVAL) ;
				/* return ; */
			}
			else if(i<XCLE_ListLen(lst)) {
				obj = XCLE_ListGet(lst,i) ;
			}
			else {
				XCLE_ObjectFree(obj1) ;
				XCLE_ObjectFree(obj2) ;
				SETSTATUSNUM(OUTRANGE) ;
				/* return ; */
			}
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


