// ## Static XCLE_Bltn Definition
// DEFINE lstgrp
// INTERN lstgrp


XCLE_Primitive(_CodeCall_lstgrp) ;


static const XCLE_CodeDef _CodeData_lstgrp = 
	{
		"lstgrp",
		1, { 1, ~0},
		1, { 8    },
		(const XCLE_CodeOperator) _CodeCall_lstgrp,
		"Groups N objects into a list"
	} ;


XCLE_Primitive(_CodeCall_lstgrp) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	unsigned long i = 0 ;
	XCLE_List lst = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		lst = XCLE_ListAlloc() ;
		i = XCLE_IntgValue((XCLE_Intg)obj1) ;
		if(i<0) {
			SETSTATUSNUM(INVARGVAL) ;
			/* return ; */
		}
		if(i>XCLE_StackDepth(GETSTACK())) {
			SETSTATUSNUM(TOOFEWARG) ;
			/* return ; */
		}
		while(i>0) {
			obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
			if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
			if(XCLE_ListUnshift(lst,obj2)==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
			i -- ;
		}
		obj = XCLE_AnyToObject(lst) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


