// ## Static XCLE_Bltn Definition
// DEFINE lstmap
// INTERN lstmap


XCLE_Primitive(_CodeCall_lstmap) ;


static const XCLE_CodeDef _CodeData_lstmap = 
	{
		"lstmap",
		2, {  8,  8 },
		1, {  8     },
		(const XCLE_CodeOperator) _CodeCall_lstmap,
		"Transforms each element in a list by executing on it a code block"
	} ;


XCLE_Primitive(_CodeCall_lstmap) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
       	XCLE_Exception ret ;
	unsigned long l, i ;
	XCLE_List lst ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			lst = XCLE_ListAlloc() ;
			l = XCLE_ListLen((XCLE_List)obj2) ;
			i = 0 ;
			while(i<l) {
				XCLE_StackPush(GETSTACK(),XCLE_ListGet((XCLE_List)obj2,i)) ;
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ObjectFree(obj1) ;
					SETSTATUSNUM(RUNTIME) ;
					/* return ; */
				}
				if(XCLE_StackDepth(GETSTACK())>0) XCLE_ListPush(lst,XCLE_StackPop(GETSTACK())) ;
				i ++ ;
			}
			obj = XCLE_AnyToObject(lst) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) {
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
	}
	if(XCLE_StackPush(GETSTACK(),obj)==-1) {
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


