// ## Static XCLE_Bltn Definition
// DEFINE lstpush
// INTERN lstpush


XCLE_Primitive(_CodeCall_lstpush) ;


static const XCLE_CodeDef _CodeData_lstpush = 
	{	"lstpush",
		2, { ~0, 8 },
		1, { 8    },
		(const XCLE_CodeOperator) _CodeCall_lstpush,
		"Pushes an object at the end of a list"
	} ;


XCLE_Primitive(_CodeCall_lstpush) {
	XCLE_List lst ;
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj2)) {
	case XCLE_OT_LIST:
		lst = (XCLE_List)XCLE_ObjectClone(obj2) ;
		XCLE_ListPush(lst,obj1) ;
		obj = XCLE_AnyToObject(lst) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	if(obj==NULL) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { XCLE_ObjectFree(obj1) ; XCLE_ObjectFree(obj2) ; SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


