// ## Static XCLE_Bltn Definition
// DEFINE lsttrn
// INTERN lsttrn


XCLE_Primitive(_CodeCall_lsttrn) ;


static const XCLE_CodeDef _CodeData_lsttrn = 
	{
		"lsttrn",
		2, {  8,  8 },
		0, {  ~0     },
		(const XCLE_CodeOperator) _CodeCall_lsttrn,
		"Executes a block on each element in a list until it returns False"
	} ;


XCLE_Primitive(_CodeCall_lsttrn) {
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	XCLE_Object obj3 = NULL ;
       	XCLE_Exception ret ;
	unsigned short t ;
	unsigned long l, i ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_LIST:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_LIST:
			XCLE_ListUpRef((XCLE_List)obj2) ;
			l = XCLE_ListLen((XCLE_List)obj2) ;
			i = 0 ;
			t = 1 ;
			while((i<l)&&t) {
				XCLE_StackPush(GETSTACK(),XCLE_ListGet((XCLE_List)obj2,i)) ;
				ret = XCLE_ListEval(ctx,GETSTACK(),GETNAMES(),(XCLE_List)obj1) ;
				if(ret!=XCLE_EXCEPTION_OK) {
					XCLE_ListDnRef((XCLE_List)obj2) ;
					XCLE_ObjectFree(obj1) ;
					SETSTATUSNUM(RUNTIME) ;
					/* return ; */
				}
				/*
				if(XCLE_StackChkType(GETSTACK(),1,&t)) {
					STATUSOK() ;
					// return ; 
				}
				*/
				obj3 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
				if(obj3==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
				switch(XCLE_ObjectType(obj3)) {
					case XCLE_OT_INTG:
						t = (XCLE_IntgValue((XCLE_Intg)obj3)!=0) ;
						XCLE_ObjectFree(obj3) ;
						break ;
#ifdef DOCHECK
					default:
						XCLE_ListDnRef((XCLE_List)obj2) ;
						XCLE_ObjectFree(obj3) ;
						SETSTATUSNUM(RUNTIME) ;
						/* return ; */
#endif
				}
				i ++ ;
			}
			XCLE_ListDnRef((XCLE_List)obj2) ;
			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	STATUSOK() ;
	/* return ; */
}


