// ## Static XCLE_Bltn Definition
// DEFINE atanh
// INTERN mathatanh


XCLE_Primitive(_CodeCall_mathatanh) ;


static const XCLE_CodeDef _CodeData_mathatanh = 
	{	"atanh",
		1, { 3    },
		1, { 2    },
		(const XCLE_CodeOperator) _CodeCall_mathatanh,
		"Hyperbolic arc tangent"
	} ;


XCLE_Primitive(_CodeCall_mathatanh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atanh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atanh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


