// ## Static XCLE_Bltn Definition
// DEFINE gamma
// INTERN mathgamma


double tgamma(double x);

XCLE_Primitive(_CodeCall_mathgamma) ;


static const XCLE_CodeDef _CodeData_mathgamma = 
	{	"gamma",
		1, { 3    },
		1, { 2    },
		(const XCLE_CodeOperator) _CodeCall_mathgamma,
		"Gamma function: integral 0->infty: t^(x-1) e^-t dt"
	} ;


XCLE_Primitive(_CodeCall_mathgamma) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		if(XCLE_IntgValue((XCLE_Intg)obj1)<=0) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(INVARGVAL) ; }
		obj = XCLE_AnyToObject(XCLE_FltpNew( tgamma( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		if(XCLE_FltpValue((XCLE_Fltp)obj1)<=0) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(INVARGVAL) ; }
		obj = XCLE_AnyToObject(XCLE_FltpNew( tgamma( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


