// ## Static XCLE_Bltn Definition
// DEFINE log2
// INTERN mathlog2

double log2(double x);

XCLE_Primitive(_CodeCall_mathlog2) ;


static const XCLE_CodeDef _CodeData_mathlog2 = 
	{	"log2",
		1, { 3    },
		1, { 2    },
		(const XCLE_CodeOperator) _CodeCall_mathlog2,
		"Base 2 logarithm"
	} ;


XCLE_Primitive(_CodeCall_mathlog2) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log2( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log2( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}


