
//DEFINE mathlog

XCLE_Primitive(_CodeCall_mathlog) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathmax

XCLE_Primitive(_CodeCall_mathmax) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			if(XCLE_IntgValue((XCLE_Intg)obj1)>XCLE_IntgValue((XCLE_Intg)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) ) ) ;

			break ;
		case XCLE_OT_FLTP:
			if(XCLE_IntgValue((XCLE_Intg)obj1)>XCLE_FltpValue((XCLE_Fltp)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) ) ) ;

			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			if(XCLE_FltpValue((XCLE_Fltp)obj1)>XCLE_IntgValue((XCLE_Intg)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) ) ) ;

			break ;
		case XCLE_OT_FLTP:
			if(XCLE_FltpValue((XCLE_Fltp)obj1)>XCLE_FltpValue((XCLE_Fltp)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) ) ) ;

			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathatanh

XCLE_Primitive(_CodeCall_mathatanh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atanh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atanh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathcosh

XCLE_Primitive(_CodeCall_mathcosh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cosh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cosh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathlogp1

XCLE_Primitive(_CodeCall_mathlogp1) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log1p( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log1p( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathcbrt

XCLE_Primitive(_CodeCall_mathcbrt) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cbrt( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cbrt( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathcste

XCLE_Primitive(_CodeCall_mathcste) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_FltpNew(M_El)) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathmin

XCLE_Primitive(_CodeCall_mathmin) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	XCLE_Object obj2 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	obj2 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj2==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			if(XCLE_IntgValue((XCLE_Intg)obj1)<XCLE_IntgValue((XCLE_Intg)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) ) ) ;

			break ;
		case XCLE_OT_FLTP:
			if(XCLE_IntgValue((XCLE_Intg)obj1)<XCLE_FltpValue((XCLE_Fltp)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) ) ) ;

			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
	case XCLE_OT_FLTP:
		switch(XCLE_ObjectType(obj2)) {
		case XCLE_OT_INTG:
			if(XCLE_FltpValue((XCLE_Fltp)obj1)<XCLE_IntgValue((XCLE_Intg)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_IntgValue((XCLE_Intg)obj2) ) ) ;

			break ;
		case XCLE_OT_FLTP:
			if(XCLE_FltpValue((XCLE_Fltp)obj1)<XCLE_FltpValue((XCLE_Fltp)obj2))
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj1) ) ) ;
			else
				obj = XCLE_AnyToObject(XCLE_FltpNew( XCLE_FltpValue((XCLE_Fltp)obj2) ) ) ;

			break ;
#ifdef DOCHECK
		default:
			XCLE_ObjectFree(obj1) ;
			XCLE_ObjectFree(obj2) ;
			SETSTATUSNUM(RUNTIME) ;
			/* return ; */
#endif
		}
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	XCLE_ObjectFree(obj2) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathcos

XCLE_Primitive(_CodeCall_mathcos) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cos( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( cos( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathacosh

XCLE_Primitive(_CodeCall_mathacosh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( acosh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( acosh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathexp10

XCLE_Primitive(_CodeCall_mathexp10) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp10( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp10( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathacos

XCLE_Primitive(_CodeCall_mathacos) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( acos( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( acos( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathcstpi

XCLE_Primitive(_CodeCall_mathcstpi) {
	XCLE_Object obj = NULL ;
	obj = XCLE_AnyToObject(XCLE_FltpNew(M_PIl)) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathatan

XCLE_Primitive(_CodeCall_mathatan) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atan( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( atan( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathceil

XCLE_Primitive(_CodeCall_mathceil) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( ceil( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( ceil( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathexp

XCLE_Primitive(_CodeCall_mathexp) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathasin

XCLE_Primitive(_CodeCall_mathasin) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( asin( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( asin( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE matherrf

XCLE_Primitive(_CodeCall_matherrf) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( erf( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( erf( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathfloor

XCLE_Primitive(_CodeCall_mathfloor) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( floor( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( floor( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathsinh

XCLE_Primitive(_CodeCall_mathsinh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sinh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sinh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathasinh

XCLE_Primitive(_CodeCall_mathasinh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( asinh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( asinh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathsqrt

XCLE_Primitive(_CodeCall_mathsqrt) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sqrt( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sqrt( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathexp2

XCLE_Primitive(_CodeCall_mathexp2) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp2( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( exp2( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathsin

XCLE_Primitive(_CodeCall_mathsin) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sin( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( sin( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathlog10

XCLE_Primitive(_CodeCall_mathlog10) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log10( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log10( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathinv

XCLE_Primitive(_CodeCall_mathinv) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( 1/(double)XCLE_IntgValue((XCLE_Intg)obj1) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( 1/XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathlog2

XCLE_Primitive(_CodeCall_mathlog2) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log2( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( log2( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathneg

XCLE_Primitive(_CodeCall_mathneg) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_IntgNew( - XCLE_IntgValue((XCLE_Intg)obj1) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( - XCLE_FltpValue((XCLE_Fltp)obj1) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathgamma

XCLE_Primitive(_CodeCall_mathgamma) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		if(XCLE_IntgValue((XCLE_Intg)obj1)<=0) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(INVARGVAL) ; }
		obj = XCLE_AnyToObject(XCLE_FltpNew( tgamma( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		if(XCLE_FltpValue((XCLE_Fltp)obj1)<=0) { XCLE_ObjectFree(obj1) ; SETSTATUSNUM(INVARGVAL) ; }
		obj = XCLE_AnyToObject(XCLE_FltpNew( tgamma( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathtanh

XCLE_Primitive(_CodeCall_mathtanh) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( tanh( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( tanh( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}




//DEFINE mathtan

XCLE_Primitive(_CodeCall_mathtan) {
	XCLE_Object obj = NULL ;
	XCLE_Object obj1 = NULL ;
	obj1 = XCLE_StackPop(GETSTACK()) ;
#ifdef DOCHECK
	if(obj1==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
#endif
	switch(XCLE_ObjectType(obj1)) {
	case XCLE_OT_INTG:
		obj = XCLE_AnyToObject(XCLE_FltpNew( tan( XCLE_IntgValue((XCLE_Intg)obj1) ) )) ;
		break ;
	case XCLE_OT_FLTP:
		obj = XCLE_AnyToObject(XCLE_FltpNew( tan( XCLE_FltpValue((XCLE_Fltp)obj1) ) )) ;
		break ;
#ifdef DOCHECK
	default:
		XCLE_ObjectFree(obj1) ;
		XCLE_ObjectFree(obj2) ;
		SETSTATUSNUM(RUNTIME) ;
		/* return ; */
#endif
	}
	XCLE_ObjectFree(obj1) ;
	if(obj==NULL) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	if(XCLE_StackPush(GETSTACK(),obj)==-1) { SETSTATUSNUM(RUNTIME) ; /* return ; */ }
	STATUSOK() ;
	/* return ; */
}



